OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::VariantConverter< Type > Struct Template Reference

`#include <juce_JSONSerialisation.h>`

## Static Public Member Functions
static Type | fromVar (const var &v)
static var | toVar (const Type &t)

## Detailed Description

template<typename Type>
struct juce::VariantConverter< Type >

This template-overloaded class can be used to convert between var and custom types.

If not specialised, the variant converter will attempt to use serialisation functions if they are detected for the given type. For details of what this entails, see the docs for SerialisationTraits.

In short, the constant 'marshallingVersion', and either the single function 'serialise()', or the function pair 'load()' and 'save()' must be defined for the type. These may be defined as public members of the type T itself, or as public members of juce::SerialisationTraits<T>, which is a specialisation of the SerialisationTraits template struct for the type T.

See also
  ToVar, FromVar

Definition at line 477 of file juce_JSONSerialisation.h.

## Member Function Documentation

## ◆ fromVar()

template<typename Type >

static Type juce::VariantConverter< Type >::fromVar | ( | const var & | v | ) |
| inline static

Definition at line 479 of file juce_JSONSerialisation.h.

## ◆ toVar()

template<typename Type >

static var juce::VariantConverter< Type >::toVar | ( | const Type & | t | ) |
| inline static

Definition at line 484 of file juce_JSONSerialisation.h.

The documentation for this struct was generated from the following file:

- juce_JSONSerialisation.h